Skip to main content
GET
/
api
/
v1
/
keys
List API Keys
curl --request GET \
  --url https://api.entityml.com/api/v1/keys
{
  "user_id": "<string>",
  "api_keys": [
    {
      "id": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "last_used_at": "<string>"
    }
  ],
  "total": 123
}

Request

This endpoint returns active keys only and does not require a Bearer token.

Query Parameters

user_id
string
required
The user ID to list keys for.

Response

user_id
string
The user ID.
api_keys
array
Array of API key objects.
total
number
Total number of active API keys.

Example

from poly_storage_sdk import PolyStorageClient

client = PolyStorageClient()
keys = client.api_keys.list(user_id="YOUR_USER_ID")
print(keys)

Example response

{
  "user_id": "user-uuid",
  "api_keys": [
    {
      "id": "key-uuid",
      "status": "active",
      "created_at": "2025-01-15T10:30:00Z",
      "last_used_at": "2025-01-15T11:45:00Z"
    }
  ],
  "total": 1
}